nxt.account

## Class PaymentFxtTransactionType

- java.lang.Object
- - nxt.blockchain.TransactionType
  - - nxt.blockchain.FxtTransactionType
    - - nxt.account.PaymentFxtTransactionType

-     public abstract class PaymentFxtTransactionType
      extends FxtTransactionType

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionType` | `ORDINARY`

    - ### Fields inherited from class nxt.blockchain.FxtTransactionType

      `SUBTYPE_ACCOUNT_CONTROL_EFFECTIVE_BALANCE_LEASING, SUBTYPE_CHILDCHAIN_BLOCK, SUBTYPE_PAYMENT_ORDINARY_PAYMENT, TYPE_ACCOUNT_CONTROL, TYPE_CHILDCHAIN_BLOCK, TYPE_COIN_EXCHANGE, TYPE_PAYMENT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyAttachment(FxtTransactionImpl transaction, Account senderAccount, Account recipientAccount)`
    `protected boolean` | `applyAttachmentUnconfirmed(FxtTransactionImpl transaction, Account senderAccount)`
    `boolean` | `canHaveRecipient()`
    `byte` | `getType()`
    `protected void` | `undoAttachmentUnconfirmed(FxtTransactionImpl transaction, Account senderAccount)`

    - ### Methods inherited from class nxt.blockchain.FxtTransactionType

      `apply, applyAttachment, applyAttachmentUnconfirmed, applyUnconfirmed, findTransactionType, getBaselineFee, isGlobal, isPhasingSafe, undoAttachmentUnconfirmed, undoUnconfirmed, validateAttachment, validateAttachment, validateId, validateId`

    - ### Methods inherited from class nxt.blockchain.TransactionType

      `getBaselineFeeHeight, getLedgerEvent, getName, getNextFee, getNextFeeHeight, getSubtype, isBlockDuplicate, isDuplicate, isDuplicate, isDuplicate, isPhasable, isPruned, isUnconfirmedDuplicate, mustHaveRecipient, parseAttachment, parseAttachment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ORDINARY

          public static final TransactionType ORDINARY

  - ### Method Detail

    - #### getType

          public final byte getType()

      Specified by:
        `getType` in class `TransactionType`

    - #### applyAttachmentUnconfirmed

          protected final boolean applyAttachmentUnconfirmed(FxtTransactionImpl transaction,
                                                             Account senderAccount)

      Specified by:
        `applyAttachmentUnconfirmed` in class `FxtTransactionType`

    - #### applyAttachment

          protected final void applyAttachment(FxtTransactionImpl transaction,
                                               Account senderAccount,
                                               Account recipientAccount)

      Specified by:
        `applyAttachment` in class `FxtTransactionType`

    - #### undoAttachmentUnconfirmed

          protected final void undoAttachmentUnconfirmed(FxtTransactionImpl transaction,
                                                         Account senderAccount)

      Specified by:
        `undoAttachmentUnconfirmed` in class `FxtTransactionType`

    - #### canHaveRecipient

          public final boolean canHaveRecipient()

      Specified by:
        `canHaveRecipient` in class `TransactionType`